package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;

public class StudentPreRegistrationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "是否允许调剂",required = false)
    private String isAllowAdjust;

    @ApiModelProperty(value = "专业编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "用户名或手机号",required = false)
    private String name;

    @ApiModelProperty(value = "乐器提供方式",required = false)
    private String kitPurchaseMethod;

    @ApiModelProperty(value = "云教练提供方式",required = false)
    private String cloudTeacherMethod;

    /** 老师推荐声部 */
	private Integer teacherRecommandSubjectId;
	
	/** 选报声部 */
	private Integer selectionSubjectId;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(String isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getKitPurchaseMethod() {
        return kitPurchaseMethod;
    }

    public void setKitPurchaseMethod(String kitPurchaseMethod) {
        this.kitPurchaseMethod = kitPurchaseMethod;
    }

    public String getCloudTeacherMethod() {
        return cloudTeacherMethod;
    }

    public void setCloudTeacherMethod(String cloudTeacherMethod) {
        this.cloudTeacherMethod = cloudTeacherMethod;
    }

	public Integer getTeacherRecommandSubjectId() {
		return teacherRecommandSubjectId;
	}

	public void setTeacherRecommandSubjectId(Integer teacherRecommandSubjectId) {
		this.teacherRecommandSubjectId = teacherRecommandSubjectId;
	}

	public Integer getSelectionSubjectId() {
		return selectionSubjectId;
	}

	public void setSelectionSubjectId(Integer selectionSubjectId) {
		this.selectionSubjectId = selectionSubjectId;
	}
}
